package com.adealink.weparty.deviceidservice

import com.adealink.frame.base.Rlt
import com.adealink.frame.deviceid.IDeviceIdServiceConfig
import com.adealink.weparty.App

class DeviceIdServiceConfig : IDeviceIdServiceConfig {
    override suspend fun getGAid(): String {
        return App.instance.googleService.getGAid()
    }

    override suspend fun updateDeviceId(
        deviceId: String,
        oldDeviceId: String,
        gAid: String,
        androidId: String,
        mac: String,
        normalDeviceInfo: String,
        advanceDeviceInfo: String
    ): Rlt<String> {
        return Rlt.Success(deviceId)
    }

    override fun onDeviceIdGot() {
//        reportAppOpenIfNeed(AppUtil.background)
//        AttributionModule.reportAttributionData()
//        serveReportManager.reportFirebaseAppInstanceId()
    }

}